namespace DataSharing.Share.Dtos.Province
{
    public interface IProvinceRequest : ISharingRequest
    {
        ClientInfo ClientInfo { get; set; }

        void BuildClientInfo(string clientId, string clientSecret);
    }

    public interface IProvinceRequest<TData> : IProvinceRequest
    {
        TData Data { get; set; }

        void SetData(TData data);
    }
}
